package com.ruoyi.project.service.impl;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.domain.TrsSensitiveResults;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsNameResultsMapper;
import com.ruoyi.project.domain.TrsNameResults;
import com.ruoyi.project.service.ITrsNameResultsService;
import com.ruoyi.common.core.text.Convert;

/**
 * 人名职务监测Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
@Service
public class TrsNameResultsServiceImpl implements ITrsNameResultsService 
{
    @Autowired
    private TrsNameResultsMapper trsNameResultsMapper;

    /**
     * 查询人名职务监测
     * 
     * @param id 人名职务监测主键
     * @return 人名职务监测
     */
    @Override
    public TrsNameResults selectTrsNameResultsById(Long id)
    {
        return trsNameResultsMapper.selectTrsNameResultsById(id);
    }

    /**
     * 查询人名职务监测列表
     * 
     * @param trsNameResults 人名职务监测
     * @return 人名职务监测
     */
    @Override
    public List<TrsNameResults> selectTrsNameResultsList(TrsNameResults trsNameResults)
    {
        return trsNameResultsMapper.selectTrsNameResultsList(trsNameResults);
    }

    /**
     * 新增人名职务监测
     * 
     * @param trsNameResults 人名职务监测
     * @return 结果
     */
    @Override
    public int insertTrsNameResults(TrsNameResults trsNameResults)
    {
        return trsNameResultsMapper.insertTrsNameResults(trsNameResults);
    }

    /**
     * 修改人名职务监测
     * 
     * @param trsNameResults 人名职务监测
     * @return 结果
     */
    @Override
    public int updateTrsNameResults(TrsNameResults trsNameResults)
    {
        return trsNameResultsMapper.updateTrsNameResults(trsNameResults);
    }

    /**
     * 批量删除人名职务监测
     * 
     * @param ids 需要删除的人名职务监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsNameResultsByIds(String ids)
    {
        return trsNameResultsMapper.deleteTrsNameResultsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除人名职务监测信息
     * 
     * @param id 人名职务监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsNameResultsById(Long id)
    {
        return trsNameResultsMapper.deleteTrsNameResultsById(id);
    }

    public Map<String, Integer> getStatistics(TrsNameResults trsSensitiveResults) {
        return trsNameResultsMapper.getStatistics(trsSensitiveResults);
    }
}
